"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

var _propTypes = _interopRequireDefault(require("prop-types"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

// import './Icon.less';
var propTypes = {
  type: _propTypes["default"].string,
  className: _propTypes["default"].string,
  title: _propTypes["default"].string,
  spin: _propTypes["default"].bool
};
var defaultProps = {
  clsPrefix: 'yonicon',
  type: ''
};

var Icon = function Icon(props) {
  var clsPrefix = props.clsPrefix,
      _props$className = props.className,
      className = _props$className === void 0 ? '' : _props$className,
      type = props.type,
      spin = props.spin,
      restProps = _objectWithoutProperties(props, ["clsPrefix", "className", "type", "spin"]);

  var key = clsPrefix + '-' + type;
  if (clsPrefix === 'uf' && type.indexOf('uf-') > -1) key = type;
  var classString = (0, _classnames["default"])('yonicon', "".concat(key), "anticon-".concat(type), _defineProperty({}, "".concat(clsPrefix, "-spin"), !!spin || type === 'loading'), className);
  return /*#__PURE__*/_react["default"].createElement("i", _extends({}, restProps, {
    className: classString
  }));
};

Icon.defaultProps = defaultProps;
Icon.propTypes = propTypes;
var _default = Icon;
exports["default"] = _default;
//# sourceMappingURL=Icon.js.map
